<?php

App::uses('EvTestimonialsAppModel', 'EvTestimonials.Model');

class Testimonial extends EvTestimonialsAppModel {

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'author';

/**
 * Setup the model
 *
 * @return void
 */
	public function __construct($id = false, $table = null, $ds = null) {
		parent::__construct($id, $table, $ds);

		// bring in the config based image slot settings
		$configImageSlots = Configure::read('EvTestimonials.imageSlots');

		// assign, or merge, the config based image slots declaration
		if (! empty($configImageSlots)) {
			if (! empty($this->imageSlots)) {
				$this->imageSlots = array_merge(
					$configImageSlots,
					$this->imageSlots
				);
			} else {
				$this->imageSlots = $configImageSlots;
			}
		}

		return;
	}

/**
 * Query array for getting testimonials
 * Default settings are for listing
 *
 * @return 	array
 */
	public function listingQueryArray() {
		$params = array(
			'conditions' => array(
				'Testimonial.is_active' => 1
			),
			'order' => 'Testimonial.sequence ASC',
			'contain' => 'Image'
		);

		// add the limit if the config file has paginate set
		if (Configure::read('EvTestimonials.paginate')) {
			$params['limit'] = Configure::read('EvTestimonials.page_limit');
		}

		return $params;
	}

}
